package basic.update.view;

import android.content.Context;

import basic.update.UpdateUtil;

/**
 * Created by fanwang on 9/19/16.
 */
public class AppStartUpdateView implements IUpdateView {

    public AppStartUpdateView() {
    }

    @Override
    public void showForceUpdateUI() {
        UpdateUtil.wasuShowForceUpdateUI();
    }

    @Override
    public void showNotifyUpdateUI() {
        UpdateUtil.wasuShowNotifyUpdateUI();
    }

    @Override
    public void showNoNeedUpdateUi() {
        // default do nothing
    }

    @Override
    public void showApkUpdatSuccessUI() {
        UpdateUtil.wasuShowApkUpdatSuccessUI();
    }

    @Override
    public void showApkUpdateFailedUI() {
        //according to requirements do not notify user when update failed
//        UpdateUtil.wasuShowApkUpdateFailedUI();
    }
}
